version: "3"

services: 
    flask_app_1:
        build: .
        image: my/flask_app_1_ex_02
        environment: 
            FLASK_ENV: development
            SERVER_NAME: flask_app_1
            SERVER_PORT: 5000
        command: python server.py
        ports: 
            - "5000:5000"

    flask_app_2:
        build: .
        image: my/flask_app_2_ex_02
        environment: 
            FLASK_ENV: development
            SERVER_NAME: flask_app_2
            SERVER_PORT: 3000
        command: python server.py
        ports: 
            - "3000:3000"

    nginx:
        image: nginx
        volumes: 
            - .:/etc/nginx/
        ports:
            - "8080:8080"